package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_ROUND__RATIONAL {
	private static final ValueInteger do_ROUND(Context context, ValueRational a) {
		       
		// Returns the closest INTEGER to the argument.
			return ValueInteger.select(context.getGenerator(), Math.round(a.doubleValue()));
	}

	public static final void execute(Context context) {
		ValueRational p0 = (ValueRational)context.pop();
		context.push(do_ROUND(context, p0));
	}
}